Show SSL certificate details
curl -X GET "https://api.5centscdn.com/v2/account/ssl/12345" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/account/ssl/12345"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/account/ssl/12345", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/account/ssl/12345", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/account/ssl/12345')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"cert": {
"id": 12345,
"name": "sample-ssl-certificate",
"crt": "-----BEGIN CERTIFICATE-----\r
string\r
-----END CERTIFICATE-----",
"key": "--- redacted ---",
"cabundle": "-----BEGIN CERTIFICATE-----\r
string\r
-----END CERTIFICATE-----",
"domain": "example.com",
"sans": [
"example.com",
"www.example.com"
],
"expiry": "2027-01-01",
"installs": 1,
"expired": false,
"validFrom": "2026-01-01"
}
}
/account/ssl/{sslcertid}Target server for requests. Edit to use your own host.
API key (sent in header)
Unique identifier of the SSL certificate record.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Unique identifier of the SSL certificate record.
Responses
Operation outcome.
SSL certificate record with full metadata.
Unique identifier of the SSL certificate.
Friendly name assigned to the SSL certificate.
PEM-encoded X.509 certificate.
Always returned as redacted for security.
PEM-encoded CA bundle.
Common Name (CN) extracted from the certificate.
Subject Alternative Names extracted from the certificate.
Certificate expiration date.
Number of CDN zones or streams currently using this certificate.
True when the certificate expiration date is in the past.
Certificate valid-from date.